{% extends 'base.html' %}

{% block title %}
Home
{% endblock %}

{% block body %}

<!-- Navbar --> 
<nav class="navbar navbar-light bg-light border-bottom">
    <div class="container-fluid">
        <a class="navbar-brand px-4" href="#">
            <img src="https://getbootstrap.com/docs/5.0/assets/brand/bootstrap-logo.svg"" alt="" width="30" height="24"
                class="d-inline-block align-text-top">
            My Ad World
        </a>
        <div class="position-relative px-4">
            <a href="#" class="btn btn-primary btn rounded-pill" role="button" aria-pressed="true">My Profile</a>
            <a href="{{ url_for('logout.show') }}" class="btn btn-primary btn rounded-pill" role="button" aria-pressed="true">Logout</a>
        </div>
    </div>
</nav>

<!-- Search bar -->
<div class="container">
    <form class="d-flex justify-content-center mt-4 form-control-lg">
        <input class="form-control me-1 w-25" type="search" placeholder="Search" aria-label="Search">
        <button type="button" class="btn btn-primary rounded-circle">
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search"
                viewBox="0 0 16 16">
                <path
                    d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z">
                </path>
            </svg>
        </button>
    </form>
</div>

<!-- New ads -->
<h4 class="text-center font-weight-normal h4 mt-4">
    Top ads
</h4>
<div class="container mt-4">
    <div class="row">
        {% for ad in ads %}
        <div class="col-md-4">
            <div class="card">
                {% set photos = ad.photos.split(',') %}
                {% set photo = photos[0] | replace('"','') | replace('[','') %}
                <div class="ratio ratio-1x1">
                    <img src="{{ photo }}"  alt="Card Image">
                </div>
                <div class="card-body">
                    <small class="text-muted">{{ ad.zip }} {{ ad.location }}</small>
                    <h5 class="card-title mt-1">{{ ad.name }}</h5>
                    <!-- <p class="card-text">{{ ad.description[:100] }}...</p> -->
                    <p><small class="text-muted mt-1">{{ ad.price }},-€</small></p>
                    <a href="{{ url_for('advert.show', ad_id=ad.id) }}" class="btn btn-primary mb-3 rounded-pill">Go to advert</a>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>


{% endblock %}s

{% block script %}
<script src="/static/js/main.js"></script>
{% endblock %}

{% block footer %}
{% endblock %}